
-- script_insert_data.sql inserts example data into the CookingSpecial database.

-- note: this file is used in scripts to automatically populate databases.
-- note: this file is consistent with the schema in ./script_create_tables.sql

INSERT INTO user (id, username, password, email, zipCode) VALUES
(1, 'cse403', 'c78389dbbe4884753fca9c565539792f', 'jp.simonis@gmail.com', 98072),
(2, 'cse403ta', '941ac4a687d2e324c2265630fa11fc4b', '', 98011);

INSERT INTO usersavedfood (userId, favoriteFood) VALUES
(1, 'pasta'),
(2, 'milk'),
(1, 'eggs'),
(1, 'yogurt'),
(1, 'honey'),
(1, 'steak'),
(1, 'meat'),
(1, 'spinach'),
(2, 'bread');

INSERT INTO storechain (id, name, websiteUrl) VALUES
(1, 'Albertsons', 'http://www.albertsons.com/'),
(2, 'QFC', 'http://www.qfc.com/');

INSERT INTO storelocation (id, storeChainId, address, city, state, zipCode, phone) VALUES
(1, 1, '14019 WOODINVILLE-DUVALL RD', 'Woodinville', 'WA', '98072', '(425) 483-9353'),
(2, 1, '9826 N.E. 132ND', 'Kirkland', 'WA', '98034', '(425) 823-6000'),
(3, 2, '14160 NE Woodinville-Duvall Rd', 'Woodinville', 'WA', '98072', '(425) 485-0119'),
(4, 2, '2746 NE 45th Street', 'Seattle', 'WA', '98105', '(206) 523-5160');

INSERT INTO special (id, storeLocationId, title, description, price) VALUES
(1, 1, 'Barilla Pasta', NULL, '4 for $5 with your Preferred Savings Card'),
(2, 1, 'Crystal Geyser Spring Water', NULL, '10 FOR $10 with your Preferred Savings Card'),
(3, 1, 'Aquafina Water', NULL, '$4.99 with your Preferred Savings Card'),
(4, 1, 'Pepsi Soft Drink', NULL, '4 for $5 with your Preferred Savings Card'),
(5, 1, 'Wild Harvest Yogurt', NULL, '10 FOR $10 with your Preferred Savings Card'),
(6, 1, 'Organic Valley Milk', NULL, '$5.79 with your Preferred Savings Card'),
(7, 1, 'Kendall-Jackson, Q Sonoma or Woodbridge Wine', NULL, '$10.97 with your Preferred Savings Card'),
(8, 2, 'Yoplait Yogurt', NULL, '49 ea. with your Preferred Savings Card'),
(9, 2, 'Albertsons Large Eggs', NULL, '99 with your Preferred Savings Card'),
(10, 2, 'Chachies Salsa or Guacamole', NULL, '2 for $5 with your Preferred Savings Card'),
(11, 2, 'Boneless Pork Shoulder Country Style Ribs', NULL, '$2.49 lb.');

INSERT INTO usersavedspecial (userId, specialId) VALUES
(1, 1),
(1, 7),
(2, 10),
(2, 11);

INSERT INTO ingredient (id, name) VALUES
(1, 'basil'),
(7, 'bread'),
(14, 'butter'),
(16, 'cereal'),
(4, 'chicken'),
(9, 'eggs'),
(8, 'flour'),
(13, 'honey'),
(15, 'milk'),
(2, 'olive oil'),
(3, 'parsley'),
(5, 'pasta'),
(10, 'red wine'),
(17, 'salt'),
(6, 'tomatoes'),
(19, 'water'),
(11, 'white whine'),
(18, 'yeast'),
(12, 'yogurt');

INSERT INTO recipe (id, name, directions) VALUES
(1, 'Simple Basil-Tomato Pasta', 'This is a simple basil olive pasta recipe. Add pasta to boiling water and let boil for 10 minutes or until at desired softness. Mix in olive oil and basil leaves. And you''re done! Add a pinch of salt to taste. For an additional touch, try adding a chopped tomato.'),
(2, 'Honey Yogurt', 'Mix in approximately 1Tbsp of honey per 2 cups yogurt. Eat immediately. Consider other combinations like yogurt and strawberries.'),
(3, 'No-Knead Bread', 'Put the flour, salt, and yeast into a mixing bowl and sift. Make sure the water is luke-warm for the yeast to work best. Add water and mix until the dough is sticky but not overly wet. Add water if necessary in small increments until correct consistency is reached. Put a cheesecloth over the mixing bowl and let it rise (at room temperature) for 8 or more hours. Then, put a little flour on your hands and move the dough into a bread baker (clay or metallic). It is recommended that you spray the pan with oil or spread flour on it before putting in the dough. Let the dough stand for 2 hours in the pan. Preheat oven to 375F. Put the bread in the oven for 35 minutes or until done. Enjoy.');

INSERT INTO usersavedrecipe (userId, recipeId) VALUES
(1, 3),
(1, 1);

INSERT INTO recipeingredient (recipeId, ingredientId, quantity, preparation) VALUES
(1, 1, NULL, NULL),
(1, 5, NULL, NULL),
(1, 2, NULL, NULL),
(1, 17, NULL, NULL),
(1, 6, NULL, NULL),
(2, 12, NULL, NULL),
(2, 13, NULL, NULL),
(3, 8, '3 cups', NULL),
(3, 17, '1 tsp', NULL),
(3, 18, '3/4 tsp', NULL),
(3, 19, '3 cups', 'luke warm');

