<?php

// require the Smarty class
require(TMVC_BASEDIR . '..' . DS . '/smarty/libs/Smarty.class.php');

/**
 * Smarty template wrapper. Used to retrieve a smarty object tailored for CookingSpecial use.
 * @package Plugins
 */
class Smarty_Wrapper extends Smarty
{
	function __construct()
	{
		parent::Smarty();

		$base = TMVC_BASEDIR . '..' . DS;
		$this->compile_dir = $base . '/smarty/templates_c/';
		$this->config_dir = $base . '/smarty/configs/';
		$this->cache_dir = $base . '/smarty/cache/';

		// we will use our view directory for template files
		$this->template_dir = TMVC_MYAPPDIR . 'views/';

		// disable caching so that we don't have to worry about template_c permissions.
		// comment out to re-enable caching.
		$this->caching = 0;

		// register custom smarty functions
		$this->register_function('csurl', 'smarty_function_csurl');
	}
}

/**
 * A smarty custom function which creates a URI string given page, action, get_args, and additional (arbitrary) parameters.
 * 
 * @package Plugins
 */
function smarty_function_csurl($params, &$smarty)
{
	$page = null;
	$action = null;
	$get_args = array();
	$other = array();

	foreach ($params as $key => $param) {
		switch($key) {
			case 'page':
				$page = $param;
				break;
			case 'action':
				$action = $param;
				break;
			case 'get_args';
				$get_args = $param;
				break;
			default:
				$other[$key] = $param;
				break;
		}
	}

	return Url::create($page, $action, array_merge($get_args, $other));
}

?>